WebUtil::FileStreamRequest Class Reference

this class handles chunked file sends More...

Inheritance diagram for WebUtil::FileStreamRequest:
[legend]

## Public Member Functions

| constructor (HttpServer::HttpListenerInterface listener, HttpServer::AbstractHttpRequestHandler handler, Qore::Socket s, hash< auto > cx, hash< auto > hdr, *data body, Qore::ReadOnlyFile file, bool textflag, int chunk_size, *hash< auto > respHdr)
| creates the object

## Protected Member Functions

hash | getResponseHeaderMessageImpl ()
| returns the reponse headers
auto | sendImpl ()
| returns data to send

## Protected Attributes

int | cs
| chunk size
ReadOnlyFile | f
| file object
*hash< auto > | respHdr
| response headers
bool | txt
| text flag

## Detailed Description

this class handles chunked file sends